? diffs
? errfile.patch
? doc/.dirstamp
? gl/.deps
? gl/Makefile
? gl/Makefile.am
? gl/Makefile.in
? gl/alloca.c
? gl/alloca.h
? gl/alloca_.h
? gl/asnprintf.c
? gl/asprintf.c
? gl/byteswap_.h
? gl/c-ctype.c
? gl/c-ctype.h
? gl/c-strtod.c
? gl/c-strtod.h
? gl/charset.alias
? gl/config.charset
? gl/configmake.h
? gl/error.c
? gl/error.h
? gl/exit.h
? gl/exitfail.c
? gl/exitfail.h
? gl/full-read.c
? gl/full-read.h
? gl/full-write.c
? gl/full-write.h
? gl/getdelim.c
? gl/getdelim.h
? gl/gethostname.c
? gl/getline.c
? gl/getline.h
? gl/getlogin_r.c
? gl/getlogin_r.h
? gl/getopt.c
? gl/getopt1.c
? gl/getopt_.h
? gl/getopt_int.h
? gl/gettext.h
? gl/intprops.h
? gl/lbrkprop.h
? gl/linebreak.c
? gl/linebreak.h
? gl/localcharset.c
? gl/localcharset.h
? gl/mbchar.c
? gl/mbchar.h
? gl/mbuiter.h
? gl/memcasecmp.c
? gl/memcasecmp.h
? gl/memchr.c
? gl/memcmp.c
? gl/memmem.c
? gl/memmem.h
? gl/memmove.c
? gl/mempcpy.c
? gl/mempcpy.h
? gl/memset.c
? gl/minmax.h
? gl/printf-args.c
? gl/printf-args.h
? gl/printf-parse.c
? gl/printf-parse.h
? gl/progname.c
? gl/progname.h
? gl/readlink.c
? gl/ref-add.sed
? gl/ref-add.sin
? gl/ref-del.sed
? gl/ref-del.sin
? gl/safe-read.c
? gl/safe-read.h
? gl/safe-write.c
? gl/safe-write.h
? gl/size_max.h
? gl/snprintf.c
? gl/snprintf.h
? gl/stat-macros.h
? gl/stdbool_.h
? gl/stdint.h
? gl/stdint_.h
? gl/stpcpy.c
? gl/stpcpy.h
? gl/strcase.h
? gl/strcasecmp.c
? gl/strcspn.c
? gl/strerror.c
? gl/strftime.c
? gl/strftime.h
? gl/strncasecmp.c
? gl/strndup.c
? gl/strndup.h
? gl/strnlen.c
? gl/strnlen.h
? gl/strnlen1.c
? gl/strnlen1.h
? gl/strpbrk.c
? gl/strpbrk.h
? gl/strsep.c
? gl/strsep.h
? gl/strstr.c
? gl/strstr.h
? gl/strtod.c
? gl/strtok_r.c
? gl/strtok_r.h
? gl/strtol.c
? gl/strtoul.c
? gl/time_r.c
? gl/time_r.h
? gl/utf16-ucs4.h
? gl/utf8-ucs4.h
? gl/vasnprintf.c
? gl/vasnprintf.h
? gl/vasprintf.c
? gl/vasprintf.h
? gl/vsnprintf.c
? gl/vsnprintf.h
? gl/wcwidth.h
? gl/xalloc-die.c
? gl/xalloc.h
? gl/xasprintf.c
? gl/xmalloc.c
? gl/xreadlink.c
? gl/xreadlink.h
? gl/xsize.h
? gl/xstrndup.c
? gl/xstrndup.h
? gl/xvasprintf.c
? gl/xvasprintf.h
? gl/m4/absolute-header.m4
? gl/m4/alloca.m4
? gl/m4/assert.m4
? gl/m4/byteswap.m4
? gl/m4/c-strtod.m4
? gl/m4/codeset.m4
? gl/m4/eoverflow.m4
? gl/m4/error.m4
? gl/m4/exitfail.m4
? gl/m4/extensions.m4
? gl/m4/getdelim.m4
? gl/m4/gethostname.m4
? gl/m4/getline.m4
? gl/m4/getlogin_r.m4
? gl/m4/getopt.m4
? gl/m4/gettext.m4
? gl/m4/glibc2.m4
? gl/m4/glibc21.m4
? gl/m4/gnulib-cache.m4
? gl/m4/gnulib-comp.m4
? gl/m4/gnulib-tool.m4
? gl/m4/iconv.m4
? gl/m4/intdiv0.m4
? gl/m4/intl.m4
? gl/m4/intldir.m4
? gl/m4/intmax.m4
? gl/m4/intmax_t.m4
? gl/m4/inttypes-pri.m4
? gl/m4/inttypes_h.m4
? gl/m4/lcmessage.m4
? gl/m4/lib-ld.m4
? gl/m4/lib-link.m4
? gl/m4/lib-prefix.m4
? gl/m4/linebreak.m4
? gl/m4/localcharset.m4
? gl/m4/lock.m4
? gl/m4/longdouble.m4
? gl/m4/longlong.m4
? gl/m4/mbchar.m4
? gl/m4/mbiter.m4
? gl/m4/mbrtowc.m4
? gl/m4/mbstate_t.m4
? gl/m4/memcasecmp.m4
? gl/m4/memchr.m4
? gl/m4/memcmp.m4
? gl/m4/memmem.m4
? gl/m4/memmove.m4
? gl/m4/mempcpy.m4
? gl/m4/memset.m4
? gl/m4/minmax.m4
? gl/m4/nls.m4
? gl/m4/onceonly_2_57.m4
? gl/m4/po.m4
? gl/m4/printf-posix.m4
? gl/m4/progtest.m4
? gl/m4/readlink.m4
? gl/m4/safe-read.m4
? gl/m4/safe-write.m4
? gl/m4/size_max.m4
? gl/m4/snprintf.m4
? gl/m4/ssize_t.m4
? gl/m4/stdarg.m4
? gl/m4/stdbool.m4
? gl/m4/stdint.m4
? gl/m4/stdint_h.m4
? gl/m4/stpcpy.m4
? gl/m4/strcase.m4
? gl/m4/strcspn.m4
? gl/m4/strerror.m4
? gl/m4/strftime.m4
? gl/m4/strndup.m4
? gl/m4/strnlen.m4
? gl/m4/strpbrk.m4
? gl/m4/strsep.m4
? gl/m4/strstr.m4
? gl/m4/strtod.m4
? gl/m4/strtok_r.m4
? gl/m4/strtol.m4
? gl/m4/strtoul.m4
? gl/m4/time_r.m4
? gl/m4/tm_gmtoff.m4
? gl/m4/uintmax_t.m4
? gl/m4/ulonglong.m4
? gl/m4/unistd_h.m4
? gl/m4/utf-ucs4.m4
? gl/m4/vasnprintf.m4
? gl/m4/vasprintf.m4
? gl/m4/visibility.m4
? gl/m4/vsnprintf.m4
? gl/m4/wchar_t.m4
? gl/m4/wcwidth.m4
? gl/m4/wint_t.m4
? gl/m4/xalloc.m4
? gl/m4/xreadlink.m4
? gl/m4/xsize.m4
? gl/m4/xstrndup.m4
? gl/m4/xvasprintf.m4
? intl/ChangeLog
? intl/Makefile
? intl/Makefile.in
? intl/VERSION
? intl/bindtextdom.c
? intl/config.charset
? intl/dcgettext.c
? intl/dcigettext.c
? intl/dcngettext.c
? intl/dgettext.c
? intl/dngettext.c
? intl/eval-plural.h
? intl/explodename.c
? intl/finddomain.c
? intl/gettext.c
? intl/gettextP.h
? intl/gmo.h
? intl/hash-string.h
? intl/intl-compat.c
? intl/l10nflist.c
? intl/langprefs.c
? intl/libgnuintl.h.in
? intl/loadinfo.h
? intl/loadmsgcat.c
? intl/localcharset.c
? intl/localcharset.h
? intl/locale.alias
? intl/localealias.c
? intl/localename.c
? intl/log.c
? intl/ngettext.c
? intl/os2compat.c
? intl/os2compat.h
? intl/osdep.c
? intl/plural-exp.c
? intl/plural-exp.h
? intl/plural.c
? intl/plural.y
? intl/printf-args.c
? intl/printf-args.h
? intl/printf-parse.c
? intl/printf-parse.h
? intl/printf.c
? intl/ref-add.sin
? intl/ref-del.sin
? intl/relocatable.c
? intl/relocatable.h
? intl/textdomain.c
? intl/vasnprintf.c
? intl/vasnprintf.h
? intl/vasnwprintf.h
? intl/wprintf-parse.h
? intl/xsize.h
? lib/gsl-extras/.deps
? lib/gsl-extras/.dirstamp
? lib/gtksheet/.deps
? lib/gtksheet/.dirstamp
? lib/linreg/.deps
? lib/linreg/.dirstamp
? m4/Makefile.am
? m4/codeset.m4
? m4/gettext.m4
? m4/glibc2.m4
? m4/glibc21.m4
? m4/iconv.m4
? m4/intdiv0.m4
? m4/intmax.m4
? m4/inttypes-pri.m4
? m4/inttypes.m4
? m4/inttypes_h.m4
? m4/isc-posix.m4
? m4/lcmessage.m4
? m4/lib-ld.m4
? m4/lib-link.m4
? m4/lib-prefix.m4
? m4/longdouble.m4
? m4/longlong.m4
? m4/nls.m4
? m4/po.m4
? m4/printf-posix.m4
? m4/progtest.m4
? m4/signed.m4
? m4/size_max.m4
? m4/stdint_h.m4
? m4/uintmax_t.m4
? m4/ulonglong.m4
? m4/wchar_t.m4
? m4/wint_t.m4
? m4/xsize.m4
? src/data/.deps
? src/data/.dirstamp
? src/language/.deps
? src/language/.dirstamp
? src/language/control/.deps
? src/language/control/.dirstamp
? src/language/data-io/.deps
? src/language/data-io/.dirstamp
? src/language/data-io/file-handle.c
? src/language/data-io/list.c
? src/language/dictionary/.deps
? src/language/dictionary/.dirstamp
? src/language/expressions/.deps
? src/language/expressions/.dirstamp
? src/language/lexer/.deps
? src/language/lexer/.dirstamp
? src/language/lexer/q2c
? src/language/stats/.deps
? src/language/stats/.dirstamp
? src/language/stats/correlations.c
? src/language/stats/crosstabs.c
? src/language/stats/examine.c
? src/language/stats/frequencies.c
? src/language/stats/means.c
? src/language/stats/oneway.c
? src/language/stats/rank.c
? src/language/stats/regression.c
? src/language/stats/t-test.c
? src/language/tests/.deps
? src/language/tests/.dirstamp
? src/language/utilities/.deps
? src/language/utilities/.dirstamp
? src/language/utilities/set.c
? src/language/xforms/.deps
? src/language/xforms/.dirstamp
? src/libpspp/.deps
? src/libpspp/.dirstamp
? src/libpspp/version.c
? src/math/.deps
? src/math/.dirstamp
? src/math/linreg/.deps
? src/math/linreg/.dirstamp
? src/math/ts/.deps
? src/math/ts/.dirstamp
? src/output/.deps
? src/output/.dirstamp
? src/output/charts/.deps
? src/output/charts/.dirstamp
? src/ui/.deps
? src/ui/.dirstamp
? src/ui/gui/.deps
? src/ui/gui/.dirstamp
? src/ui/gui/psppire
? src/ui/terminal/.deps
? src/ui/terminal/.dirstamp
? src/ui/terminal/pspp
? tests/formats/.deps
? tests/formats/.dirstamp
? tests/formats/inexactify
? tests/libpspp/.deps
? tests/libpspp/.dirstamp
? tests/libpspp/ll-test
? tests/libpspp/llx-test
Index: src/ui/terminal/ChangeLog
===================================================================
RCS file: /sources/pspp/pspp/src/ui/terminal/ChangeLog,v
retrieving revision 1.14
diff -b -w -U3 -r1.14 ChangeLog
--- src/ui/terminal/ChangeLog	4 Nov 2006 23:49:35 -0000	1.14
+++ src/ui/terminal/ChangeLog	5 Nov 2006 08:02:24 -0000
@@ -1,3 +1,6 @@
+	* command-line.c msg-ui.c msg-ui.h main.c: Added an -e
+	option to set the file for error messages.
+
 Sat Nov  4 15:48:04 2006  Ben Pfaff  <blp@gnu.org>
 
 	* msg-ui.c (handle_msg): Only write message to terminal if
Index: src/ui/terminal/command-line.c
===================================================================
RCS file: /sources/pspp/pspp/src/ui/terminal/command-line.c,v
retrieving revision 1.6
diff -b -w -U3 -r1.6 command-line.c
--- src/ui/terminal/command-line.c	8 Jul 2006 03:05:52 -0000	1.6
+++ src/ui/terminal/command-line.c	5 Nov 2006 08:02:24 -0000
@@ -19,6 +19,7 @@
 
 #include <config.h>
 #include "command-line.h"
+#include "msg-ui.h"
 #include <libpspp/message.h>
 #include <ctype.h>
 #include <stdio.h>
@@ -62,6 +63,7 @@
     {"device", required_argument, NULL, 'o'},
     {"dry-run", no_argument, NULL, 'n'},
     {"edit", no_argument, NULL, 'n'},
+    {"error-file", required_argument, NULL, 'e'},
     {"help", no_argument, NULL, 'h'},
     {"include-directory", required_argument, NULL, 'I'},
     {"interactive", no_argument, NULL, 'i'},
@@ -89,7 +91,7 @@
 
   for (;;)
     {
-      c = getopt_long (argc, argv, "a:x:B:c:f:hiI:lno:prsvV", long_options, NULL);
+      c = getopt_long (argc, argv, "a:x:B:c:e:f:hiI:lno:prsvV", long_options, NULL);
       if (c == -1)
 	break;
 
@@ -119,7 +121,9 @@
               return false;
 	    }
 	  break;
-
+	case 'e':
+	  error_file = optarg;
+	  break;
 	case 'B':
 	  config_path = optarg;
 	  break;
@@ -223,6 +227,7 @@
 "  -B, --config-dir=DIR      set configuration directory to DIR\n"
 "  -o, --device=DEVICE       select output driver DEVICE and disable defaults\n"
 "\nInput and output:\n"
+"  -e, --error-file=FILE     send error messages to FILE (appended)\n"
 "  -f, --out-file=FILE       send output to FILE (overwritten)\n"
 "  -p, --pipe                read script from stdin, send output to stdout\n"
 "  -I-, --no-include         clear include path\n"
Index: src/ui/terminal/main.c
===================================================================
RCS file: /sources/pspp/pspp/src/ui/terminal/main.c,v
retrieving revision 1.18
diff -b -w -U3 -r1.18 main.c
--- src/ui/terminal/main.c	3 Nov 2006 04:53:52 -0000	1.18
+++ src/ui/terminal/main.c	5 Nov 2006 08:02:24 -0000
@@ -90,7 +90,6 @@
 
   fmt_init ();
   outp_init ();
-  msg_ui_init ();
   fn_init ();
   fh_init ();
   getl_initialize ();
@@ -101,6 +100,7 @@
 
   if (parse_command_line (argc, argv)) 
     {
+      msg_ui_init ();
       outp_read_devices ();
       lex_init (do_read_line);
 
Index: src/ui/terminal/msg-ui.c
===================================================================
RCS file: /sources/pspp/pspp/src/ui/terminal/msg-ui.c,v
retrieving revision 1.4
diff -b -w -U3 -r1.4 msg-ui.c
--- src/ui/terminal/msg-ui.c	4 Nov 2006 23:49:35 -0000	1.4
+++ src/ui/terminal/msg-ui.c	5 Nov 2006 08:02:24 -0000
@@ -27,6 +27,7 @@
 #include <language/line-buffer.h>
 #include <data/settings.h>
 #include <libpspp/message.h>
+#include <errno.h>
 
 #include "gettext.h"
 #define _(msgid) gettext (msgid)
@@ -38,9 +39,25 @@
 
 static void handle_msg (const struct msg *);
 
+static FILE *msg_file;
+char *error_file ;
+
 void
 msg_ui_init (void) 
 {
+  msg_file = stdout;
+  if ( error_file ) 
+    {
+      msg_file = fopen (error_file, "a");
+      if ( NULL == msg_file ) 
+	{
+	  int err = errno;
+	  printf ( _("Cannot open %s (%s). "
+		     "Writing errors to stdout instead.\n"), 
+		   error_file, strerror(err) );
+	  msg_file = stdout;
+	}
+    }
   msg_init (handle_msg, get_msg_location);
 }
 
@@ -48,6 +65,7 @@
 msg_ui_done (void) 
 {
   msg_done ();
+  fclose (msg_file);
 }
 
 
@@ -141,8 +159,8 @@
 
   ds_put_cstr (&string, m->text);
 
-  if (get_error_routing_to_terminal ())
-    dump_message (ds_cstr (&string), get_viewwidth (), 8, stdout);
+  if (msg_file != stdout || get_error_routing_to_terminal ())
+    dump_message (ds_cstr (&string), get_viewwidth (), 8, msg_file);
 
   ds_destroy (&string);
 }
Index: src/ui/terminal/msg-ui.h
===================================================================
RCS file: /sources/pspp/pspp/src/ui/terminal/msg-ui.h,v
retrieving revision 1.1
diff -b -w -U3 -r1.1 msg-ui.h
--- src/ui/terminal/msg-ui.h	25 Apr 2006 18:03:03 -0000	1.1
+++ src/ui/terminal/msg-ui.h	5 Nov 2006 08:02:24 -0000
@@ -22,6 +22,8 @@
 
 #include <stdbool.h>
 
+extern char *error_file;
+
 void msg_ui_init (void);
 void msg_ui_done (void);
 void check_msg_count (void);
Index: tests/bugs/agg_crash.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/agg_crash.sh,v
retrieving revision 1.6
diff -b -w -U3 -r1.6 agg_crash.sh
--- tests/bugs/agg_crash.sh	11 Mar 2006 07:16:40 -0000	1.6
+++ tests/bugs/agg_crash.sh	5 Nov 2006 08:02:24 -0000
@@ -72,7 +72,7 @@
 # So this will have a non zero error status.
 # But it shouldn't crash!
 activity="run_program"
-$SUPERVISOR $PSPP $TESTFILE > /dev/null
+$SUPERVISOR $PSPP -e /dev/null $TESTFILE 
 if [ $? -ne 1 ] ; then fail ; fi
 
 
Index: tests/bugs/big-input-2.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/big-input-2.sh,v
retrieving revision 1.10
diff -b -w -U3 -r1.10 big-input-2.sh
--- tests/bugs/big-input-2.sh	11 Mar 2006 07:16:40 -0000	1.10
+++ tests/bugs/big-input-2.sh	5 Nov 2006 08:02:24 -0000
@@ -79,7 +79,7 @@
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="run program"
-$SUPERVISOR $PSPP -o raw-ascii $TESTFILE > /dev/null
+$SUPERVISOR $PSPP -o raw-ascii -e /dev/null $TESTFILE 
 if [ $? -ne 0 ] ; then fail ; fi
 
 activity="appending to data"
@@ -88,7 +88,7 @@
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="run program"
-$SUPERVISOR $PSPP -o raw-ascii $TESTFILE > /dev/null
+$SUPERVISOR $PSPP -o raw-ascii -e /dev/null $TESTFILE 
 if [ $? -ne 0 ] ; then fail ; fi
 
 pass;
Index: tests/bugs/big-input.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/big-input.sh,v
retrieving revision 1.7
diff -b -w -U3 -r1.7 big-input.sh
--- tests/bugs/big-input.sh	11 Mar 2006 07:16:40 -0000	1.7
+++ tests/bugs/big-input.sh	5 Nov 2006 08:02:24 -0000
@@ -71,7 +71,7 @@
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="run program"
-$SUPERVISOR $PSPP -o raw-ascii $TEMPDIR/foo.sps > /dev/null
+$SUPERVISOR $PSPP -o raw-ascii -e /dev/null $TEMPDIR/foo.sps 
 if [ $? -ne 0 ] ; then fail ; fi
 
 pass;
Index: tests/bugs/curtailed.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/curtailed.sh,v
retrieving revision 1.5
diff -b -w -U3 -r1.5 curtailed.sh
--- tests/bugs/curtailed.sh	11 Mar 2006 07:16:40 -0000	1.5
+++ tests/bugs/curtailed.sh	5 Nov 2006 08:02:24 -0000
@@ -70,7 +70,7 @@
 
 #This must fail
 activity="run program"
-$SUPERVISOR $PSPP $TESTFILE > /dev/null
+$SUPERVISOR $PSPP -e /dev/null $TESTFILE
 if [ $? -ne 1 ] ; then fail ; fi
 
 
Index: tests/bugs/data-crash.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/data-crash.sh,v
retrieving revision 1.8
diff -b -w -U3 -r1.8 data-crash.sh
--- tests/bugs/data-crash.sh	11 Mar 2006 07:16:40 -0000	1.8
+++ tests/bugs/data-crash.sh	5 Nov 2006 08:02:24 -0000
@@ -63,8 +63,7 @@
 
 #This must fail
 activity="run program"
-$SUPERVISOR $PSPP $TEMPDIR/ct.stat > /dev/null
+$SUPERVISOR $PSPP -e /dev/null $TEMPDIR/ct.stat 
 if [ $? -ne 1 ] ; then fail ; fi
 
-
 pass;
Index: tests/bugs/examine-missing.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/examine-missing.sh,v
retrieving revision 1.4
diff -b -w -U3 -r1.4 examine-missing.sh
--- tests/bugs/examine-missing.sh	3 Apr 2006 20:07:54 -0000	1.4
+++ tests/bugs/examine-missing.sh	5 Nov 2006 08:02:24 -0000
@@ -70,7 +70,7 @@
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="run program"
-$SUPERVISOR $PSPP -o raw-ascii $TESTFILE > /dev/null 2>&1
+$SUPERVISOR $PSPP -o raw-ascii -e /dev/null $TESTFILE 
 if [ $? -ne 0 ] ; then fail ; fi
 
 pass;
Index: tests/bugs/if_crash.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/if_crash.sh,v
retrieving revision 1.5
diff -b -w -U3 -r1.5 if_crash.sh
--- tests/bugs/if_crash.sh	11 Mar 2006 07:16:40 -0000	1.5
+++ tests/bugs/if_crash.sh	5 Nov 2006 08:02:24 -0000
@@ -76,7 +76,7 @@
 # So this will have a non zero error status.
 # But it shouldn't crash!
 activity="run_program"
-$SUPERVISOR $PSPP $TESTFILE > /dev/null
+$SUPERVISOR $PSPP -e /dev/null $TESTFILE 
 if [ $? -ne 1 ] ; then fail ; fi
 
 
Index: tests/bugs/input-crash.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/input-crash.sh,v
retrieving revision 1.5
diff -b -w -U3 -r1.5 input-crash.sh
--- tests/bugs/input-crash.sh	11 Mar 2006 07:16:40 -0000	1.5
+++ tests/bugs/input-crash.sh	5 Nov 2006 08:02:24 -0000
@@ -73,7 +73,7 @@
 
 # The above syntax is invalid, so this program should fail to parse
 activity="run program"
-$SUPERVISOR $PSPP --testing-mode -o raw-ascii $TESTFILE > /dev/null
+$SUPERVISOR $PSPP --testing-mode -o raw-ascii -e /dev/null $TESTFILE 
 if [ $? -ne 1 ] ; then fail ; fi
 
 
Index: tests/bugs/print-crash.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/print-crash.sh,v
retrieving revision 1.1
diff -b -w -U3 -r1.1 print-crash.sh
--- tests/bugs/print-crash.sh	25 May 2006 10:29:14 -0000	1.1
+++ tests/bugs/print-crash.sh	5 Nov 2006 08:02:24 -0000
@@ -68,7 +68,7 @@
 
 
 activity="run program"
-$SUPERVISOR $PSPP --testing-mode -o raw-ascii $TESTFILE > /dev/null
+$SUPERVISOR $PSPP --testing-mode -o raw-ascii -e /dev/null $TESTFILE 
 if [ $? -ne 1 ] ; then fail ; fi
 
 
Index: tests/bugs/t-test.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/t-test.sh,v
retrieving revision 1.7
diff -b -w -U3 -r1.7 t-test.sh
--- tests/bugs/t-test.sh	11 Mar 2006 07:16:40 -0000	1.7
+++ tests/bugs/t-test.sh	5 Nov 2006 08:02:24 -0000
@@ -73,7 +73,7 @@
 
 #The syntax was invalid.  Therefore pspp must return non zero.
 activity="run program"
-$SUPERVISOR $PSPP -o raw-ascii $TESTFILE > /dev/null
+$SUPERVISOR $PSPP -o raw-ascii -e /dev/null $TESTFILE 
 if [ $? -ne 1 ] ; then fail ; fi
 
 pass;
Index: tests/bugs/terminate.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/terminate.sh,v
retrieving revision 1.4
diff -b -w -U3 -r1.4 terminate.sh
--- tests/bugs/terminate.sh	31 Jul 2005 04:55:58 -0000	1.4
+++ tests/bugs/terminate.sh	5 Nov 2006 08:02:24 -0000
@@ -66,7 +66,7 @@
 
 activity="run program"
 # This must exit with non zero status
-$SUPERVISOR $here/../src/pspp -o raw-ascii $TEMPDIR/foo.sps > /dev/null 2> $TEMPDIR/stderr
+$SUPERVISOR $here/../src/pspp -o raw-ascii -e /dev/null $TEMPDIR/foo.sps 2> $TEMPDIR/stderr
 if [ $? -eq 0 ] ; then fail ; fi
 
 activity="compare stderr"
Index: tests/bugs/val-labs.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/bugs/val-labs.sh,v
retrieving revision 1.7
diff -b -w -U3 -r1.7 val-labs.sh
--- tests/bugs/val-labs.sh	11 Mar 2006 07:16:40 -0000	1.7
+++ tests/bugs/val-labs.sh	5 Nov 2006 08:02:24 -0000
@@ -73,7 +73,7 @@
 
 #Invalid syntax --- return value is non zero.
 activity="run program"
-$SUPERVISOR $PSPP -o raw-ascii $TESTFILE > /dev/null
+$SUPERVISOR $PSPP -o raw-ascii -e /dev/null $TESTFILE 
 if [ $? -ne 1 ] ; then fail ; fi
 
 pass;
Index: tests/command/aggregate.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/command/aggregate.sh,v
retrieving revision 1.16
diff -b -w -U3 -r1.16 aggregate.sh
--- tests/command/aggregate.sh	11 Mar 2006 07:16:40 -0000	1.16
+++ tests/command/aggregate.sh	5 Nov 2006 08:02:25 -0000
@@ -206,7 +206,7 @@
 	    if [ $? -ne 0 ] ; then no_result ; fi
 	    
 	    activity="run $name.pspp"
-	    $SUPERVISOR $PSPP --testing-mode -o raw-ascii $name.pspp >/dev/null 2>&1
+	    $SUPERVISOR $PSPP --testing-mode -o raw-ascii -e /dev/null $name.pspp 
 	    if [ $? -ne 0 ] ; then no_result ; fi
 
 	    activity="check $name output"
Index: tests/command/erase.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/command/erase.sh,v
retrieving revision 1.7
diff -b -w -U3 -r1.7 erase.sh
--- tests/command/erase.sh	11 Mar 2006 07:16:40 -0000	1.7
+++ tests/command/erase.sh	5 Nov 2006 08:02:25 -0000
@@ -77,7 +77,7 @@
 
 # This command must fail
 activity="run prog 1"
-$SUPERVISOR $PSPP $TESTFILE > /dev/null
+$SUPERVISOR $PSPP -e /dev/null $TESTFILE 
 if [ $? -eq 0 ] ; then fail ; fi
 
 
Index: tests/command/loop.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/command/loop.sh,v
retrieving revision 1.15
diff -b -w -U3 -r1.15 loop.sh
--- tests/command/loop.sh	30 May 2006 12:01:34 -0000	1.15
+++ tests/command/loop.sh	5 Nov 2006 08:02:25 -0000
@@ -73,7 +73,7 @@
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="run program"
-$SUPERVISOR $PSPP --testing-mode -o raw-ascii $TEMPDIR/loop.stat > $TEMPDIR/stdout
+$SUPERVISOR $PSPP --testing-mode -o raw-ascii -e $TEMPDIR/stdout $TEMPDIR/loop.stat 
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="compare stdout"
Index: tests/command/match-files.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/command/match-files.sh,v
retrieving revision 1.9
diff -b -w -U3 -r1.9 match-files.sh
--- tests/command/match-files.sh	11 Mar 2006 07:16:40 -0000	1.9
+++ tests/command/match-files.sh	5 Nov 2006 08:02:25 -0000
@@ -165,7 +165,7 @@
 	if [ $? -ne 0 ] ; then no_result ; fi
 
 	activity="run $name.pspp"
-	$SUPERVISOR $PSPP -o raw-ascii $name.pspp >/dev/null 2>&1
+	$SUPERVISOR $PSPP -o raw-ascii -e /dev/null $name.pspp 
 	if [ $? -ne 0 ] ; then no_result ; fi
 
 	activity="check $name output"
@@ -190,7 +190,7 @@
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="run $name.pspp"
-$SUPERVISOR $PSPP -o raw-ascii $name.pspp >/dev/null 2>&1
+$SUPERVISOR $PSPP -o raw-ascii -e /dev/null $name.pspp 
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="check $name output"
@@ -239,7 +239,7 @@
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="run $name.pspp"
-$SUPERVISOR $PSPP -o raw-ascii $name.pspp >/dev/null 2>&1
+$SUPERVISOR $PSPP -o raw-ascii -e /dev/null $name.pspp 
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="check $name output"
Index: tests/command/missing-values.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/command/missing-values.sh,v
retrieving revision 1.4
diff -b -w -U3 -r1.4 missing-values.sh
--- tests/command/missing-values.sh	26 Apr 2006 20:54:08 -0000	1.4
+++ tests/command/missing-values.sh	5 Nov 2006 08:02:25 -0000
@@ -109,7 +109,7 @@
 
 
 activity="run program"
-$SUPERVISOR $PSPP --testing-mode -o raw-ascii --testing-mode $TEMPDIR/missing-values.stat > $TEMPDIR/errs
+$SUPERVISOR $PSPP --testing-mode -o raw-ascii --testing-mode --error-file=$TEMPDIR/errs $TEMPDIR/missing-values.stat 
 # Note   vv   --- there are errors in input.  Therefore, the  command must FAIL
 if [ $? -eq 0 ] ; then fail ; fi
 
Index: tests/command/print.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/command/print.sh,v
retrieving revision 1.26
diff -b -w -U3 -r1.26 print.sh
--- tests/command/print.sh	29 Oct 2006 00:01:53 -0000	1.26
+++ tests/command/print.sh	5 Nov 2006 08:02:25 -0000
@@ -101,7 +101,7 @@
 
 
 activity="run program"
-$SUPERVISOR $PSPP --testing-mode -o raw-ascii --testing-mode $TEMPDIR/print.stat > $TEMPDIR/errs
+$SUPERVISOR $PSPP --testing-mode -o raw-ascii --testing-mode --error-file=$TEMPDIR/errs $TEMPDIR/print.stat 
 if [ $? -ne 0 ] ; then fail ; fi
 
 activity="compare print.out"
Index: tests/command/rank.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/command/rank.sh,v
retrieving revision 1.1
diff -b -w -U3 -r1.1 rank.sh
--- tests/command/rank.sh	7 Oct 2006 03:10:14 -0000	1.1
+++ tests/command/rank.sh	5 Nov 2006 08:02:25 -0000
@@ -81,7 +81,7 @@
 
 # Check that it properly handles failed transformations.
 activity="run program 1"
-$SUPERVISOR $PSPP --testing-mode -o raw-ascii $TESTFILE > $TEMPDIR/err
+$SUPERVISOR $PSPP --testing-mode -o raw-ascii -e $TEMPDIR/err $TESTFILE 
 if [ $? -ne 1 ] ; then fail ; fi
 
 activity="diff 1"
@@ -135,7 +135,7 @@
 
 
 activity="run program (syntax errors)"
-$SUPERVISOR $PSPP --testing-mode -o raw-ascii $TESTFILE > $TEMPDIR/errs
+$SUPERVISOR $PSPP --testing-mode -o raw-ascii -e $TEMPDIR/errs $TESTFILE 
 if [ $? -ne 1 ] ; then fail ; fi
 
 activity="compare errors"
@@ -534,7 +534,7 @@
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="run program 4"
-$SUPERVISOR $PSPP --testing-mode -o raw-ascii $TESTFILE > /dev/null
+$SUPERVISOR $PSPP --testing-mode -o raw-ascii -e /dev/null $TESTFILE 
 if [ $? -ne 0 ] ; then fail ; fi
 
 
Index: tests/command/very-long-strings.sh
===================================================================
RCS file: /sources/pspp/pspp/tests/command/very-long-strings.sh,v
retrieving revision 1.2
diff -b -w -U3 -r1.2 very-long-strings.sh
--- tests/command/very-long-strings.sh	29 Oct 2006 00:01:53 -0000	1.2
+++ tests/command/very-long-strings.sh	5 Nov 2006 08:02:26 -0000
@@ -71,7 +71,7 @@
 if [ $? -ne 0 ] ; then no_result ; fi
 
 activity="run program 0"
-$SUPERVISOR $PSPP --testing-mode -o raw-ascii $TESTFILE > /dev/null
+$SUPERVISOR $PSPP --testing-mode -o raw-ascii -e /dev/null $TESTFILE 
 if [ $? -ne 0 ] ; then fail ; fi
 
 activity="compare variable display 0"
